gnutls_x509_dn_oid_name(3)

NAME
gnutls_x509_dn_oid_name - API function

SYNOPSIS
#include <gnutls/x509.h>

const char * gnutls_x509_dn_oid_name(const char * oid, unsigned int flags);

ARGUMENTS

const char * oid
    holds an Object Identifier in a null terminated string

unsigned int flags
    0 or GNUTLS_X509_DN_OID_*

DESCRIPTION
This function will return the name of a known DN OID. If GNUTLS_X509_DN_OID_RETURN_OID is specified this function will return the given OID if no descriptive name has been found.

RETURNS
A null terminated string or NULL otherwise.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/